/* Actions (message types) */
mtype = { nop, a52, a18, a53, a4, a71, a42, a50, a47, a51, a45, a54, a55, a25, a30, a26, a62, a15, a9, a12, a19, a58, a38, a21, a35, a7, a48, a57, a32, a20, a75, a33, a1, a17, a49, a56, a10, a2, a66, a8, a63, a11, a61, a22, a31, a14, a36, a60, a24, a59, a67, a5, a46, a28, a69, a68, a3, a29, a70, a44, a77, a74, a40, a72, a16, a27, a34, a39, a41, a64, a76, a6, a65, a73, a23, a37, a13, a43 };

/* Inter-process channels */
chan p17_14 = [0] of {mtype};
chan p14_10 = [0] of {mtype};
chan p9_8 = [0] of {mtype};
chan p13_7 = [0] of {mtype};
chan p9_7 = [0] of {mtype};
chan p6_5 = [0] of {mtype};
chan p18_5 = [0] of {mtype};
chan p4_3 = [0] of {mtype};
chan p5_3 = [0] of {mtype};
chan p16_7 = [0] of {mtype};
chan p19_3 = [0] of {mtype};
chan p7_3 = [0] of {mtype};
chan p12_4 = [0] of {mtype};
chan p15_2 = [0] of {mtype};
chan p14_2 = [0] of {mtype};
chan p11_2 = [0] of {mtype};
chan p9_2 = [0] of {mtype};
chan p9_1 = [0] of {mtype};
chan p9_0 = [0] of {mtype};

/* Environement<->process channels */
chan p4 = [0] of {mtype};
chan p3 = [0] of {mtype};
chan p14 = [0] of {mtype};
chan p2 = [0] of {mtype};
chan p19 = [0] of {mtype};
chan p18 = [0] of {mtype};
chan p17 = [0] of {mtype};
chan p16 = [0] of {mtype};
chan p15 = [0] of {mtype};
chan p13 = [0] of {mtype};
chan p12 = [0] of {mtype};
chan p11 = [0] of {mtype};
chan p10 = [0] of {mtype};
chan p9 = [0] of {mtype};
chan p8 = [0] of {mtype};
chan p7 = [0] of {mtype};
chan p6 = [0] of {mtype};
chan p5 = [0] of {mtype};
chan p1 = [0] of {mtype};
chan p0 = [0] of {mtype};

/* Environment process */
active proctype Environment()
{
  do
  :: p4 ! a62
  :: p4 ! a15
  :: p3 ! a12
  :: p3 ! a38
  :: p3 ! a35
  :: p3 ! a7
  :: p3 ! a57
  :: p3 ! a20
  :: p3 ! a1
  :: p4 ! a17
  :: p3 ! a2
  :: p3 ! a66
  :: p3 ! a63
  :: p3 ! a11
  :: p3 ! a61
  :: p3 ! a22
  :: p3 ! a36
  :: p3 ! a60
  :: p14 ! a59
  :: p3 ! a67
  :: p3 ! a5
  :: p3 ! a40
  :: p4 ! a16
  :: p3 ! a39
  :: p3 ! a64
  :: p3 ! a6
  :: p3 ! a65
  :: p2 ! a43
  :: p19 ! nop
  :: p18 ! nop
  :: p17 ! nop
  :: p16 ! nop
  :: p15 ! nop
  :: p14 ! nop
  :: p13 ! nop
  :: p12 ! nop
  :: p11 ! nop
  :: p10 ! nop
  :: p9 ! nop
  :: p8 ! nop
  :: p7 ! nop
  :: p6 ! nop
  :: p5 ! nop
  :: p4 ! nop
  :: p3 ! nop
  :: p2 ! nop
  :: p1 ! nop
  :: p0 ! nop
  od
}

/* Action channel */
chan act = [0] of {mtype};

/* Most recent message event */
mtype lastAction = nop;

/* Action listener */
active proctype Listener()
{
  atomic {
    do
    :: act ? lastAction ->
  step: skip
    od
  }
}

/* Process 0 */
active proctype Proc0()
{
  int state = 8;
  do
  :: state == 8 ->
    atomic {
      if
      :: p0 ? nop ->

        state = 4;
      fi
    }
  :: state == 4 ->
    atomic {
      if
      :: p9_0 ? a73 ->
        act ! a73;
        state = 3;
      fi
    }
  :: state == 3 ->
    atomic {
      if
      :: p9_0 ? a13 ->
        act ! a13;
        state = 1;
      :: p9_0 ? a73 ->
        act ! a73;
        state = 2;
      fi
    }
  :: state == 1 ->
    atomic {
      if
      :: p9_0 ? a73 ->
        act ! a73;
        state = 7;
      fi
    }
  :: state == 2 ->
    atomic {
      if
      :: p9_0 ? a13 ->
        act ! a13;
        state = 2;
      fi
    }
  :: state == 7 ->
    atomic {
      if
      :: p9_0 ? a13 ->
        act ! a13;
        state = 6;
      :: p9_0 ? a73 ->
        act ! a73;
        state = 2;
      fi
    }
  :: state == 6 ->
    atomic {
      if
      :: p9_0 ? a73 ->
        act ! a73;
        state = 5;
      fi
    }
  :: state == 5 ->
    atomic {
      if
      :: p9_0 ? a13 ->
        act ! a13;
        state = 4;
      fi
    }
  od
}

/* Process 1 */
active proctype Proc1()
{
  int state = 16;
  do
  :: state == 16 ->
    atomic {
      if
      :: p1 ? nop ->

        state = 12;
      fi
    }
  :: state == 12 ->
    atomic {
      if
      :: p9_1 ? a76 ->
        act ! a76;
        state = 10;
      :: p9_1 ? a41 ->
        act ! a41;
        state = 11;
      fi
    }
  :: state == 10 ->
    atomic {
      if
      :: p9_1 ? a76 ->
        act ! a76;
        state = 10;
      fi
    }
  :: state == 11 ->
    atomic {
      if
      :: p9_1 ? a76 ->
        act ! a76;
        state = 9;
      fi
    }
  :: state == 9 ->
    atomic {
      if
      :: p9_1 ? a41 ->
        act ! a41;
        state = 15;
      fi
    }
  :: state == 15 ->
    atomic {
      if
      :: p9_1 ? a76 ->
        act ! a76;
        state = 14;
      fi
    }
  :: state == 14 ->
    atomic {
      if
      :: p9_1 ? a41 ->
        act ! a41;
        state = 13;
      :: p9_1 ? a76 ->
        act ! a76;
        state = 10;
      fi
    }
  :: state == 13 ->
    atomic {
      if
      :: p9_1 ? a76 ->
        act ! a76;
        state = 12;
      fi
    }
  od
}

/* Process 2 */
active proctype Proc2()
{
  int state = 120;
  do
  :: state == 120 ->
    atomic {
      if
      :: p2 ? nop ->

        state = 65;
      fi
    }
  :: state == 65 ->
    atomic {
      if
      :: p9_2 ? a72 ->
        act ! a72;
        state = 20;
      :: p9_2 ? a70 ->
        act ! a70;
        state = 48;
      fi
    }
  :: state == 20 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 72;
      fi
    }
  :: state == 48 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 87;
      fi
    }
  :: state == 72 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 36;
      fi
    }
  :: state == 87 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 80;
      fi
    }
  :: state == 36 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 54;
      fi
    }
  :: state == 80 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 69;
      fi
    }
  :: state == 54 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 112;
      fi
    }
  :: state == 69 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 41;
      fi
    }
  :: state == 112 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 77;
      fi
    }
  :: state == 41 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 93;
      fi
    }
  :: state == 77 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 24;
      fi
    }
  :: state == 93 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 51;
      fi
    }
  :: state == 24 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 83;
      fi
    }
  :: state == 51 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 19;
      fi
    }
  :: state == 83 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 30;
      :: p11_2 ? a44 ->
        act ! a44;
        state = 82;
      fi
    }
  :: state == 19 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 45;
      fi
    }
  :: state == 30 ->
    atomic {
      if
      :: p9_2 ? a72 ->
        act ! a72;
        state = 30;
      :: p15_2 ? a69 ->
        act ! a69;
        state = 30;
      :: p11_2 ? a29 ->
        act ! a29;
        state = 30;
      :: p2 ? a43 ->
        act ! a43;
        state = 30;
      :: p15_2 ? a27 ->
        act ! a27;
        state = 30;
      fi
    }
  :: state == 82 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 74;
      fi
    }
  :: state == 45 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 63;
      fi
    }
  :: state == 74 ->
    atomic {
      if
      :: p9_2 ? a72 ->
        act ! a72;
        state = 20;
      :: p9_2 ? a74 ->
        act ! a74;
        state = 20;
      fi
    }
  :: state == 63 ->
    atomic {
      if
      :: p9_2 ? a72 ->
        act ! a72;
        state = 75;
      fi
    }
  :: state == 75 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 29;
      fi
    }
  :: state == 29 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 116;
      fi
    }
  :: state == 116 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 105;
      fi
    }
  :: state == 105 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 38;
      fi
    }
  :: state == 38 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 107;
      fi
    }
  :: state == 107 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 62;
      fi
    }
  :: state == 62 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 98;
      fi
    }
  :: state == 98 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 42;
      fi
    }
  :: state == 42 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 55;
      fi
    }
  :: state == 55 ->
    atomic {
      if
      :: p9_2 ? a74 ->
        act ! a74;
        state = 31;
      fi
    }
  :: state == 31 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 97;
      fi
    }
  :: state == 97 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 34;
      fi
    }
  :: state == 34 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 88;
      fi
    }
  :: state == 88 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 67;
      fi
    }
  :: state == 67 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 118;
      fi
    }
  :: state == 118 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 71;
      fi
    }
  :: state == 71 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 106;
      fi
    }
  :: state == 106 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 94;
      fi
    }
  :: state == 94 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 17;
      fi
    }
  :: state == 17 ->
    atomic {
      if
      :: p9_2 ? a70 ->
        act ! a70;
        state = 68;
      :: p9_2 ? a72 ->
        act ! a72;
        state = 20;
      :: p9_2 ? a74 ->
        act ! a74;
        state = 20;
      fi
    }
  :: state == 68 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 60;
      fi
    }
  :: state == 60 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 28;
      fi
    }
  :: state == 28 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 50;
      fi
    }
  :: state == 50 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 91;
      fi
    }
  :: state == 91 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 18;
      fi
    }
  :: state == 18 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 26;
      fi
    }
  :: state == 26 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 52;
      fi
    }
  :: state == 52 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 73;
      fi
    }
  :: state == 73 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 39;
      fi
    }
  :: state == 39 ->
    atomic {
      if
      :: p9_2 ? a72 ->
        act ! a72;
        state = 61;
      :: p9_2 ? a70 ->
        act ! a70;
        state = 20;
      fi
    }
  :: state == 61 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 35;
      fi
    }
  :: state == 35 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 102;
      fi
    }
  :: state == 102 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 84;
      fi
    }
  :: state == 84 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 47;
      fi
    }
  :: state == 47 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 89;
      fi
    }
  :: state == 89 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 114;
      fi
    }
  :: state == 114 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 43;
      fi
    }
  :: state == 43 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 25;
      fi
    }
  :: state == 25 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 117;
      fi
    }
  :: state == 117 ->
    atomic {
      if
      :: p9_2 ? a74 ->
        act ! a74;
        state = 85;
      :: p9_2 ? a72 ->
        act ! a72;
        state = 20;
      fi
    }
  :: state == 85 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 119;
      fi
    }
  :: state == 119 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 113;
      fi
    }
  :: state == 113 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 32;
      fi
    }
  :: state == 32 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 101;
      fi
    }
  :: state == 101 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 59;
      fi
    }
  :: state == 59 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 40;
      fi
    }
  :: state == 40 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 109;
      fi
    }
  :: state == 109 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 104;
      fi
    }
  :: state == 104 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 103;
      fi
    }
  :: state == 103 ->
    atomic {
      if
      :: p9_2 ? a72 ->
        act ! a72;
        state = 20;
      :: p9_2 ? a70 ->
        act ! a70;
        state = 99;
      fi
    }
  :: state == 99 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 66;
      fi
    }
  :: state == 66 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 111;
      fi
    }
  :: state == 111 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 23;
      fi
    }
  :: state == 23 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 110;
      fi
    }
  :: state == 110 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 70;
      fi
    }
  :: state == 70 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 81;
      fi
    }
  :: state == 81 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 92;
      fi
    }
  :: state == 92 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 95;
      fi
    }
  :: state == 95 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 21;
      fi
    }
  :: state == 21 ->
    atomic {
      if
      :: p9_2 ? a70 ->
        act ! a70;
        state = 20;
      :: p9_2 ? a72 ->
        act ! a72;
        state = 46;
      :: p9_2 ? a74 ->
        act ! a74;
        state = 20;
      fi
    }
  :: state == 46 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 90;
      fi
    }
  :: state == 90 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 115;
      fi
    }
  :: state == 115 ->
    atomic {
      if
      :: p15_2 ? a69 ->
        act ! a69;
        state = 37;
      fi
    }
  :: state == 37 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 53;
      fi
    }
  :: state == 53 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 76;
      fi
    }
  :: state == 76 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 96;
      fi
    }
  :: state == 96 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 79;
      fi
    }
  :: state == 79 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 100;
      fi
    }
  :: state == 100 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 27;
      fi
    }
  :: state == 27 ->
    atomic {
      if
      :: p9_2 ? a74 ->
        act ! a74;
        state = 49;
      :: p9_2 ? a70 ->
        act ! a70;
        state = 20;
      fi
    }
  :: state == 49 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 108;
      fi
    }
  :: state == 108 ->
    atomic {
      if
      :: p14_2 ? a68 ->
        act ! a68;
        state = 33;
      fi
    }
  :: state == 33 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 58;
      :: p15_2 ? a69 ->
        act ! a69;
        state = 78;
      fi
    }
  :: state == 58 ->
    atomic {
      if
      :: p14_2 ? a77 ->
        act ! a77;
        state = 58;
      :: p9_2 ? a74 ->
        act ! a74;
        state = 58;
      :: p11_2 ? a44 ->
        act ! a44;
        state = 58;
      :: p14_2 ? a23 ->
        act ! a23;
        state = 58;
      :: p9_2 ? a72 ->
        act ! a72;
        state = 58;
      :: p15_2 ? a27 ->
        act ! a27;
        state = 58;
      :: p15_2 ? a28 ->
        act ! a28;
        state = 58;
      fi
    }
  :: state == 78 ->
    atomic {
      if
      :: p15_2 ? a28 ->
        act ! a28;
        state = 44;
      fi
    }
  :: state == 44 ->
    atomic {
      if
      :: p15_2 ? a27 ->
        act ! a27;
        state = 86;
      fi
    }
  :: state == 86 ->
    atomic {
      if
      :: p2 ? a43 ->
        act ! a43;
        state = 64;
      fi
    }
  :: state == 64 ->
    atomic {
      if
      :: p11_2 ? a29 ->
        act ! a29;
        state = 22;
      fi
    }
  :: state == 22 ->
    atomic {
      if
      :: p11_2 ? a44 ->
        act ! a44;
        state = 56;
      fi
    }
  :: state == 56 ->
    atomic {
      if
      :: p14_2 ? a23 ->
        act ! a23;
        state = 57;
      fi
    }
  :: state == 57 ->
    atomic {
      if
      :: p9_2 ? a70 ->
        act ! a70;
        state = 48;
      fi
    }
  od
}

/* Process 3 */
active proctype Proc3()
{
  int state = 146;
  do
  :: state == 146 ->
    atomic {
      if
      :: p3 ? nop ->

        state = 127;
      fi
    }
  :: state == 127 ->
    atomic {
      if
      :: p3 ? a64 ->
        act ! a64;
        state = 126;
      :: p3 ? a66 ->
        act ! a66;
        state = 125;
      fi
    }
  :: state == 126 ->
    atomic {
      if
      :: p3 ? a60 ->
        act ! a60;
        state = 126;
      :: p3 ? a67 ->
        act ! a67;
        state = 124;
      :: p3 ? a63 ->
        act ! a63;
        state = 127;
      :: p3 ? a39 ->
        act ! a39;
        state = 124;
      fi
    }
  :: state == 125 ->
    atomic {
      if
      :: p3 ? a61 ->
        act ! a61;
        state = 126;
      fi
    }
  :: state == 124 ->
    atomic {
      if
      :: p5_3 ? a37 ->
        act ! a37;
        state = 130;
      :: p7_3 ? a34 ->
        act ! a34;
        state = 129;
      :: p5_3 ? a24 ->
        act ! a24;
        state = 131;
      :: p3 ? a65 ->
        act ! a65;
        state = 127;
      fi
    }
  :: state == 130 ->
    atomic {
      if
      :: p4_3 ? a75 ->
        act ! a75;
        state = 122;
      fi
    }
  :: state == 129 ->
    atomic {
      if
      :: p7_3 ? a33 ->
        act ! a33;
        state = 135;
      fi
    }
  :: state == 131 ->
    atomic {
      if
      :: p3 ? a1 ->
        act ! a1;
        state = 128;
      fi
    }
  :: state == 122 ->
    atomic {
      if
      :: p3 ? a20 ->
        act ! a20;
        state = 124;
      :: p3 ? a57 ->
        act ! a57;
        state = 133;
      fi
    }
  :: state == 135 ->
    atomic {
      if
      :: p3 ? a36 ->
        act ! a36;
        state = 136;
      :: p3 ? a5 ->
        act ! a5;
        state = 123;
      fi
    }
  :: state == 128 ->
    atomic {
      if
      :: p3 ? a2 ->
        act ! a2;
        state = 134;
      fi
    }
  :: state == 133 ->
    atomic {
      if
      :: p7_3 ? a56 ->
        act ! a56;
        state = 141;
      fi
    }
  :: state == 136 ->
    atomic {
      if
      :: p3 ? a7 ->
        act ! a7;
        state = 144;
      :: p19_3 ? a31 ->
        act ! a31;
        state = 140;
      :: p3 ? a40 ->
        act ! a40;
        state = 126;
      fi
    }
  :: state == 123 ->
    atomic {
      if
      :: p3 ? a6 ->
        act ! a6;
        state = 136;
      fi
    }
  :: state == 134 ->
    atomic {
      if
      :: p3 ? a22 ->
        act ! a22;
        state = 132;
      fi
    }
  :: state == 141 ->
    atomic {
      if
      :: p3 ? a38 ->
        act ! a38;
        state = 124;
      :: p19_3 ? a10 ->
        act ! a10;
        state = 143;
      :: p19_3 ? a32 ->
        act ! a32;
        state = 142;
      fi
    }
  :: state == 144 ->
    atomic {
      if
      :: p3 ? a35 ->
        act ! a35;
        state = 141;
      fi
    }
  :: state == 140 ->
    atomic {
      if
      :: p5_3 ? a24 ->
        act ! a24;
        state = 140;
      :: p7_3 ? a34 ->
        act ! a34;
        state = 140;
      :: p3 ? a36 ->
        act ! a36;
        state = 140;
      :: p19_3 ? a31 ->
        act ! a31;
        state = 140;
      :: p3 ? a61 ->
        act ! a61;
        state = 140;
      :: p3 ? a60 ->
        act ! a60;
        state = 140;
      :: p3 ? a66 ->
        act ! a66;
        state = 140;
      :: p3 ? a40 ->
        act ! a40;
        state = 140;
      :: p7_3 ? a56 ->
        act ! a56;
        state = 140;
      :: p3 ? a6 ->
        act ! a6;
        state = 140;
      :: p3 ? a2 ->
        act ! a2;
        state = 145;
      :: p7_3 ? a33 ->
        act ! a33;
        state = 140;
      :: p3 ? a67 ->
        act ! a67;
        state = 140;
      :: p3 ? a20 ->
        act ! a20;
        state = 140;
      :: p3 ? a57 ->
        act ! a57;
        state = 140;
      :: p3 ? a7 ->
        act ! a7;
        state = 140;
      fi
    }
  :: state == 132 ->
    atomic {
      if
      :: p5_3 ? a21 ->
        act ! a21;
        state = 122;
      :: p7_3 ? a33 ->
        act ! a33;
        state = 121;
      fi
    }
  :: state == 143 ->
    atomic {
      if
      :: p3 ? a11 ->
        act ! a11;
        state = 139;
      fi
    }
  :: state == 142 ->
    atomic {
      if
      :: p19_3 ? a31 ->
        act ! a31;
        state = 135;
      fi
    }
  :: state == 145 ->
    atomic {
      if
      :: p3 ? a67 ->
        act ! a67;
        state = 145;
      :: p3 ? a66 ->
        act ! a66;
        state = 145;
      :: p7_3 ? a56 ->
        act ! a56;
        state = 145;
      :: p3 ? a57 ->
        act ! a57;
        state = 145;
      :: p3 ? a6 ->
        act ! a6;
        state = 145;
      :: p4_3 ? a75 ->
        act ! a75;
        state = 145;
      :: p4_3 ? a8 ->
        act ! a8;
        state = 145;
      :: p19_3 ? a32 ->
        act ! a32;
        state = 145;
      :: p3 ? a12 ->
        act ! a12;
        state = 145;
      :: p3 ? a61 ->
        act ! a61;
        state = 145;
      :: p3 ? a20 ->
        act ! a20;
        state = 145;
      :: p3 ? a38 ->
        act ! a38;
        state = 145;
      :: p5_3 ? a21 ->
        act ! a21;
        state = 145;
      :: p3 ? a11 ->
        act ! a11;
        state = 145;
      :: p5_3 ? a24 ->
        act ! a24;
        state = 145;
      fi
    }
  :: state == 121 ->
    atomic {
      if
      :: p5_3 ? a24 ->
        act ! a24;
        state = 121;
      :: p7_3 ? a34 ->
        act ! a34;
        state = 121;
      :: p5_3 ? a37 ->
        act ! a37;
        state = 121;
      :: p4_3 ? a75 ->
        act ! a75;
        state = 121;
      :: p3 ? a65 ->
        act ! a65;
        state = 121;
      :: p19_3 ? a10 ->
        act ! a10;
        state = 121;
      :: p3 ? a11 ->
        act ! a11;
        state = 121;
      :: p3 ? a5 ->
        act ! a5;
        state = 121;
      :: p3 ? a36 ->
        act ! a36;
        state = 121;
      :: p3 ? a7 ->
        act ! a7;
        state = 121;
      :: p3 ? a61 ->
        act ! a61;
        state = 121;
      :: p7_3 ? a56 ->
        act ! a56;
        state = 121;
      :: p3 ? a66 ->
        act ! a66;
        state = 121;
      :: p3 ? a6 ->
        act ! a6;
        state = 121;
      fi
    }
  :: state == 139 ->
    atomic {
      if
      :: p3 ? a12 ->
        act ! a12;
        state = 138;
      fi
    }
  :: state == 138 ->
    atomic {
      if
      :: p4_3 ? a8 ->
        act ! a8;
        state = 137;
      fi
    }
  :: state == 137 ->
    atomic {
      if
      :: p4_3 ? a9 ->
        act ! a9;
        state = 141;
      fi
    }
  od
}

/* Process 4 */
active proctype Proc4()
{
  int state = 169;
  do
  :: state == 169 ->
    atomic {
      if
      :: p4 ? nop ->

        state = 162;
      fi
    }
  :: state == 162 ->
    atomic {
      if
      :: p4_3 ! a8 ->

        state = 159;
      :: p4_3 ! a75 ->

        state = 155;
      fi
    }
  :: state == 159 ->
    atomic {
      if
      :: p12_4 ? a14 ->
        act ! a14;
        state = 168;
      :: p4 ? a62 ->
        act ! a62;
        state = 167;
      fi
    }
  :: state == 155 ->
    atomic {
      if
      :: p4 ? a62 ->
        act ! a62;
        state = 157;
      fi
    }
  :: state == 168 ->
    atomic {
      if
      :: p4_3 ! a8 ->

        state = 168;
      :: p4 ? a17 ->
        act ! a17;
        state = 168;
      :: p4 ? a15 ->
        act ! a15;
        state = 168;
      fi
    }
  :: state == 167 ->
    atomic {
      if
      :: p12_4 ? a3 ->
        act ! a3;
        state = 148;
      fi
    }
  :: state == 157 ->
    atomic {
      if
      :: p12_4 ? a3 ->
        act ! a3;
        state = 154;
      fi
    }
  :: state == 148 ->
    atomic {
      if
      :: p4 ? a17 ->
        act ! a17;
        state = 153;
      fi
    }
  :: state == 154 ->
    atomic {
      if
      :: p4 ? a17 ->
        act ! a17;
        state = 147;
      fi
    }
  :: state == 153 ->
    atomic {
      if
      :: p4 ? a16 ->
        act ! a16;
        state = 151;
      fi
    }
  :: state == 147 ->
    atomic {
      if
      :: p4 ? a16 ->
        act ! a16;
        state = 158;
      fi
    }
  :: state == 151 ->
    atomic {
      if
      :: p4 ? a15 ->
        act ! a15;
        state = 163;
      fi
    }
  :: state == 158 ->
    atomic {
      if
      :: p4 ? a15 ->
        act ! a15;
        state = 156;
      fi
    }
  :: state == 163 ->
    atomic {
      if
      :: p12_4 ? a14 ->
        act ! a14;
        state = 152;
      fi
    }
  :: state == 156 ->
    atomic {
      if
      :: p12_4 ? a14 ->
        act ! a14;
        state = 162;
      fi
    }
  :: state == 152 ->
    atomic {
      if
      :: p4_3 ! a75 ->

        state = 160;
      :: p4_3 ! a9 ->

        state = 155;
      fi
    }
  :: state == 160 ->
    atomic {
      if
      :: p4 ? a62 ->
        act ! a62;
        state = 149;
      fi
    }
  :: state == 149 ->
    atomic {
      if
      :: p12_4 ? a3 ->
        act ! a3;
        state = 165;
      fi
    }
  :: state == 165 ->
    atomic {
      if
      :: p4 ? a17 ->
        act ! a17;
        state = 150;
      fi
    }
  :: state == 150 ->
    atomic {
      if
      :: p4 ? a16 ->
        act ! a16;
        state = 164;
      fi
    }
  :: state == 164 ->
    atomic {
      if
      :: p4 ? a15 ->
        act ! a15;
        state = 166;
      fi
    }
  :: state == 166 ->
    atomic {
      if
      :: p12_4 ? a14 ->
        act ! a14;
        state = 161;
      fi
    }
  :: state == 161 ->
    atomic {
      if
      :: p4_3 ! a75 ->

        state = 160;
      :: p4_3 ! a9 ->

        state = 160;
      :: p4_3 ! a8 ->

        state = 160;
      fi
    }
  od
}

/* Process 5 */
active proctype Proc5()
{
  int state = 185;
  do
  :: state == 185 ->
    atomic {
      if
      :: p5 ? nop ->

        state = 173;
      fi
    }
  :: state == 173 ->
    atomic {
      if
      :: p5_3 ! a24 ->

        state = 180;
      :: p5_3 ! a37 ->

        state = 179;
      fi
    }
  :: state == 180 ->
    atomic {
      if
      :: p18_5 ? a26 ->
        act ! a26;
        state = 176;
      fi
    }
  :: state == 179 ->
    atomic {
      if
      :: p18_5 ? a26 ->
        act ! a26;
        state = 172;
      fi
    }
  :: state == 176 ->
    atomic {
      if
      :: p6_5 ? a25 ->
        act ! a25;
        state = 170;
      fi
    }
  :: state == 172 ->
    atomic {
      if
      :: p6_5 ? a25 ->
        act ! a25;
        state = 171;
      fi
    }
  :: state == 170 ->
    atomic {
      if
      :: p18_5 ? a30 ->
        act ! a30;
        state = 175;
      fi
    }
  :: state == 171 ->
    atomic {
      if
      :: p18_5 ? a30 ->
        act ! a30;
        state = 178;
      :: p18_5 ? a19 ->
        act ! a19;
        state = 184;
      fi
    }
  :: state == 175 ->
    atomic {
      if
      :: p18_5 ? a19 ->
        act ! a19;
        state = 177;
      fi
    }
  :: state == 178 ->
    atomic {
      if
      :: p18_5 ? a19 ->
        act ! a19;
        state = 183;
      fi
    }
  :: state == 184 ->
    atomic {
      if
      :: p18_5 ? a19 ->
        act ! a19;
        state = 184;
      :: p5_3 ! a37 ->

        state = 184;
      :: p18_5 ? a26 ->
        act ! a26;
        state = 184;
      :: p18_5 ? a30 ->
        act ! a30;
        state = 184;
      :: p6_5 ? a25 ->
        act ! a25;
        state = 184;
      fi
    }
  :: state == 177 ->
    atomic {
      if
      :: p6_5 ? a54 ->
        act ! a54;
        state = 174;
      fi
    }
  :: state == 183 ->
    atomic {
      if
      :: p6_5 ? a54 ->
        act ! a54;
        state = 181;
      fi
    }
  :: state == 174 ->
    atomic {
      if
      :: p6_5 ? a55 ->
        act ! a55;
        state = 182;
      fi
    }
  :: state == 181 ->
    atomic {
      if
      :: p6_5 ? a55 ->
        act ! a55;
        state = 173;
      fi
    }
  :: state == 182 ->
    atomic {
      if
      :: p5_3 ! a21 ->

        state = 179;
      fi
    }
  od
}

/* Process 6 */
active proctype Proc6()
{
  int state = 190;
  do
  :: state == 190 ->
    atomic {
      if
      :: p6 ? nop ->

        state = 189;
      fi
    }
  :: state == 189 ->
    atomic {
      if
      :: p6_5 ! a25 ->

        state = 187;
      :: p6_5 ! a55 ->

        state = 188;
      fi
    }
  :: state == 187 ->
    atomic {
      if
      :: p6_5 ! a55 ->

        state = 188;
      :: p6_5 ! a54 ->

        state = 186;
      fi
    }
  :: state == 186 ->
    atomic {
      if
      :: p6_5 ! a55 ->

        state = 189;
      :: p6_5 ! a54 ->

        state = 188;
      fi
    }
  od
}

/* Process 7 */
active proctype Proc7()
{
  int state = 217;
  do
  :: state == 217 ->
    atomic {
      if
      :: p7 ? nop ->

        state = 207;
      fi
    }
  :: state == 207 ->
    atomic {
      if
      :: p7_3 ! a34 ->

        state = 213;
      :: p7_3 ! a56 ->

        state = 215;
      fi
    }
  :: state == 213 ->
    atomic {
      if
      :: p9_7 ? a47 ->
        act ! a47;
        state = 209;
      fi
    }
  :: state == 215 ->
    atomic {
      if
      :: p9_7 ? a47 ->
        act ! a47;
        state = 192;
      fi
    }
  :: state == 209 ->
    atomic {
      if
      :: p9_7 ? a45 ->
        act ! a45;
        state = 199;
      :: p16_7 ? a48 ->
        act ! a48;
        state = 194;
      fi
    }
  :: state == 192 ->
    atomic {
      if
      :: p9_7 ? a45 ->
        act ! a45;
        state = 211;
      fi
    }
  :: state == 199 ->
    atomic {
      if
      :: p16_7 ? a46 ->
        act ! a46;
        state = 201;
      fi
    }
  :: state == 194 ->
    atomic {
      if
      :: p16_7 ? a46 ->
        act ! a46;
        state = 194;
      :: p7_3 ! a33 ->

        state = 194;
      :: p9_7 ? a45 ->
        act ! a45;
        state = 194;
      :: p9_7 ? a47 ->
        act ! a47;
        state = 194;
      :: p16_7 ? a48 ->
        act ! a48;
        state = 194;
      :: p13_7 ? a49 ->
        act ! a49;
        state = 194;
      fi
    }
  :: state == 211 ->
    atomic {
      if
      :: p16_7 ? a46 ->
        act ! a46;
        state = 202;
      fi
    }
  :: state == 201 ->
    atomic {
      if
      :: p13_7 ? a50 ->
        act ! a50;
        state = 198;
      fi
    }
  :: state == 202 ->
    atomic {
      if
      :: p13_7 ? a50 ->
        act ! a50;
        state = 200;
      fi
    }
  :: state == 198 ->
    atomic {
      if
      :: p9_7 ? a51 ->
        act ! a51;
        state = 191;
      fi
    }
  :: state == 200 ->
    atomic {
      if
      :: p9_7 ? a47 ->
        act ! a47;
        state = 214;
      :: p9_7 ? a51 ->
        act ! a51;
        state = 204;
      fi
    }
  :: state == 191 ->
    atomic {
      if
      :: p16_7 ? a48 ->
        act ! a48;
        state = 197;
      fi
    }
  :: state == 214 ->
    atomic {
      if
      :: p7_3 ! a34 ->

        state = 214;
      :: p13_7 ? a49 ->
        act ! a49;
        state = 214;
      :: p16_7 ? a46 ->
        act ! a46;
        state = 214;
      :: p9_7 ? a51 ->
        act ! a51;
        state = 214;
      :: p16_7 ? a48 ->
        act ! a48;
        state = 214;
      :: p9_7 ? a45 ->
        act ! a45;
        state = 214;
      :: p7_3 ! a56 ->

        state = 214;
      fi
    }
  :: state == 204 ->
    atomic {
      if
      :: p16_7 ? a48 ->
        act ! a48;
        state = 193;
      fi
    }
  :: state == 197 ->
    atomic {
      if
      :: p13_7 ? a49 ->
        act ! a49;
        state = 203;
      fi
    }
  :: state == 193 ->
    atomic {
      if
      :: p13_7 ? a49 ->
        act ! a49;
        state = 207;
      fi
    }
  :: state == 203 ->
    atomic {
      if
      :: p7_3 ! a33 ->

        state = 215;
      :: p7_3 ! a56 ->

        state = 206;
      fi
    }
  :: state == 206 ->
    atomic {
      if
      :: p9_7 ? a47 ->
        act ! a47;
        state = 208;
      fi
    }
  :: state == 208 ->
    atomic {
      if
      :: p9_7 ? a45 ->
        act ! a45;
        state = 210;
      fi
    }
  :: state == 210 ->
    atomic {
      if
      :: p16_7 ? a46 ->
        act ! a46;
        state = 196;
      fi
    }
  :: state == 196 ->
    atomic {
      if
      :: p13_7 ? a50 ->
        act ! a50;
        state = 216;
      fi
    }
  :: state == 216 ->
    atomic {
      if
      :: p9_7 ? a51 ->
        act ! a51;
        state = 195;
      fi
    }
  :: state == 195 ->
    atomic {
      if
      :: p16_7 ? a48 ->
        act ! a48;
        state = 205;
      fi
    }
  :: state == 205 ->
    atomic {
      if
      :: p13_7 ? a49 ->
        act ! a49;
        state = 212;
      fi
    }
  :: state == 212 ->
    atomic {
      if
      :: p7_3 ! a34 ->

        state = 206;
      :: p7_3 ! a56 ->

        state = 206;
      fi
    }
  od
}

/* Process 8 */
active proctype Proc8()
{
  int state = 225;
  do
  :: state == 225 ->
    atomic {
      if
      :: p8 ? nop ->

        state = 221;
      fi
    }
  :: state == 221 ->
    atomic {
      if
      :: p9_8 ? a42 ->
        act ! a42;
        state = 220;
      fi
    }
  :: state == 220 ->
    atomic {
      if
      :: p9_8 ? a42 ->
        act ! a42;
        state = 219;
      :: p9_8 ? a71 ->
        act ! a71;
        state = 218;
      fi
    }
  :: state == 218 ->
    atomic {
      if
      :: p9_8 ? a42 ->
        act ! a42;
        state = 224;
      fi
    }
  :: state == 224 ->
    atomic {
      if
      :: p9_8 ? a71 ->
        act ! a71;
        state = 223;
      :: p9_8 ? a42 ->
        act ! a42;
        state = 219;
      fi
    }
  :: state == 223 ->
    atomic {
      if
      :: p9_8 ? a71 ->
        act ! a71;
        state = 219;
      :: p9_8 ? a42 ->
        act ! a42;
        state = 222;
      fi
    }
  :: state == 222 ->
    atomic {
      if
      :: p9_8 ? a71 ->
        act ! a71;
        state = 221;
      fi
    }
  od
}

/* Process 9 */
active proctype Proc9()
{
  int state = 270;
  do
  :: state == 270 ->
    atomic {
      if
      :: p9 ? nop ->

        state = 228;
      fi
    }
  :: state == 228 ->
    atomic {
      if
      :: p9_0 ! a13 ->

        state = 265;
      :: p9_7 ! a45 ->

        state = 247;
      :: p9_7 ! a51 ->

        state = 247;
      :: p9_7 ! a47 ->

        state = 239;
      fi
    }
  :: state == 265 ->
    atomic {
      if
      :: p9_1 ! a41 ->

        state = 265;
      :: p9_0 ! a73 ->

        state = 265;
      :: p9_7 ! a51 ->

        state = 265;
      :: p9_8 ! a71 ->

        state = 265;
      fi
    }
  :: state == 247 ->
    atomic {
      if
      :: p9_1 ! a41 ->

        state = 242;
      fi
    }
  :: state == 239 ->
    atomic {
      if
      :: p9_1 ! a41 ->

        state = 231;
      fi
    }
  :: state == 242 ->
    atomic {
      if
      :: p9_8 ! a42 ->

        state = 264;
      fi
    }
  :: state == 231 ->
    atomic {
      if
      :: p9_8 ! a42 ->

        state = 257;
      fi
    }
  :: state == 264 ->
    atomic {
      if
      :: p9_2 ! a70 ->

        state = 244;
      fi
    }
  :: state == 257 ->
    atomic {
      if
      :: p9_2 ! a70 ->

        state = 263;
      fi
    }
  :: state == 244 ->
    atomic {
      if
      :: p9_8 ! a71 ->

        state = 269;
      fi
    }
  :: state == 263 ->
    atomic {
      if
      :: p9_8 ! a71 ->

        state = 245;
      fi
    }
  :: state == 269 ->
    atomic {
      if
      :: p9_2 ! a72 ->

        state = 234;
      fi
    }
  :: state == 245 ->
    atomic {
      if
      :: p9_2 ! a72 ->

        state = 252;
      fi
    }
  :: state == 234 ->
    atomic {
      if
      :: p9_0 ! a73 ->

        state = 235;
      fi
    }
  :: state == 252 ->
    atomic {
      if
      :: p9_0 ! a73 ->

        state = 260;
      fi
    }
  :: state == 235 ->
    atomic {
      if
      :: p9_2 ! a74 ->

        state = 256;
      fi
    }
  :: state == 260 ->
    atomic {
      if
      :: p9_2 ! a74 ->

        state = 236;
      :: p9_1 ! a41 ->

        state = 248;
      fi
    }
  :: state == 256 ->
    atomic {
      if
      :: p9_0 ! a13 ->

        state = 255;
      fi
    }
  :: state == 236 ->
    atomic {
      if
      :: p9_0 ! a13 ->

        state = 253;
      fi
    }
  :: state == 248 ->
    atomic {
      if
      :: p9_0 ! a73 ->

        state = 248;
      :: p9_2 ! a70 ->

        state = 248;
      :: p9_7 ! a45 ->

        state = 248;
      :: p9_2 ! a72 ->

        state = 248;
      :: p9_2 ! a74 ->

        state = 248;
      :: p9_0 ! a13 ->

        state = 248;
      fi
    }
  :: state == 255 ->
    atomic {
      if
      :: p9_1 ! a76 ->

        state = 254;
      fi
    }
  :: state == 253 ->
    atomic {
      if
      :: p9_1 ! a76 ->

        state = 249;
      fi
    }
  :: state == 249 ->
    atomic {
      if
      :: p9_7 ! a47 ->

        state = 247;
      :: p9_7 ! a45 ->

        state = 226;
      fi
    }
  :: state == 226 ->
    atomic {
      if
      :: p9_1 ! a41 ->

        state = 251;
      fi
    }
  :: state == 251 ->
    atomic {
      if
      :: p9_8 ! a42 ->

        state = 261;
      fi
    }
  :: state == 261 ->
    atomic {
      if
      :: p9_2 ! a70 ->

        state = 238;
      fi
    }
  :: state == 238 ->
    atomic {
      if
      :: p9_8 ! a71 ->

        state = 240;
      fi
    }
  :: state == 240 ->
    atomic {
      if
      :: p9_2 ! a72 ->

        state = 250;
      fi
    }
  :: state == 250 ->
    atomic {
      if
      :: p9_0 ! a73 ->

        state = 232;
      fi
    }
  :: state == 232 ->
    atomic {
      if
      :: p9_2 ! a74 ->

        state = 258;
      fi
    }
  :: state == 258 ->
    atomic {
      if
      :: p9_0 ! a13 ->

        state = 267;
      fi
    }
  :: state == 267 ->
    atomic {
      if
      :: p9_1 ! a76 ->

        state = 268;
      fi
    }
  :: state == 268 ->
    atomic {
      if
      :: p9_7 ! a51 ->

        state = 237;
      fi
    }
  :: state == 237 ->
    atomic {
      if
      :: p9_1 ! a41 ->

        state = 233;
      fi
    }
  :: state == 233 ->
    atomic {
      if
      :: p9_8 ! a42 ->

        state = 227;
      fi
    }
  :: state == 227 ->
    atomic {
      if
      :: p9_2 ! a70 ->

        state = 230;
      fi
    }
  :: state == 230 ->
    atomic {
      if
      :: p9_8 ! a71 ->

        state = 229;
      :: p9_8 ! a42 ->

        state = 266;
      fi
    }
  :: state == 229 ->
    atomic {
      if
      :: p9_2 ! a72 ->

        state = 259;
      fi
    }
  :: state == 266 ->
    atomic {
      if
      :: p9_8 ! a71 ->

        state = 266;
      :: p9_2 ! a72 ->

        state = 266;
      :: p9_7 ! a47 ->

        state = 266;
      :: p9_2 ! a74 ->

        state = 266;
      :: p9_0 ! a73 ->

        state = 266;
      :: p9_1 ! a41 ->

        state = 266;
      :: p9_2 ! a70 ->

        state = 266;
      fi
    }
  :: state == 259 ->
    atomic {
      if
      :: p9_0 ! a73 ->

        state = 241;
      fi
    }
  :: state == 241 ->
    atomic {
      if
      :: p9_2 ! a74 ->

        state = 262;
      fi
    }
  :: state == 262 ->
    atomic {
      if
      :: p9_0 ! a13 ->

        state = 246;
      fi
    }
  :: state == 246 ->
    atomic {
      if
      :: p9_2 ! a72 ->

        state = 243;
      :: p9_1 ! a76 ->

        state = 228;
      fi
    }
  :: state == 243 ->
    atomic {
      if
      :: p9_7 ! a51 ->

        state = 243;
      :: p9_2 ! a74 ->

        state = 243;
      :: p9_0 ! a73 ->

        state = 243;
      :: p9_7 ! a45 ->

        state = 243;
      :: p9_8 ! a42 ->

        state = 243;
      :: p9_0 ! a13 ->

        state = 243;
      :: p9_2 ! a72 ->

        state = 243;
      fi
    }
  od
}

/* Process 10 */
active proctype Proc10()
{
  int state = 281;
  do
  :: state == 281 ->
    atomic {
      if
      :: p10 ? nop ->

        state = 276;
      fi
    }
  :: state == 276 ->
    atomic {
      if
      :: p14_10 ? a4 ->
        act ! a4;
        state = 274;
      :: p14_10 ? a53 ->
        act ! a53;
        state = 275;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 274;
      fi
    }
  :: state == 274 ->
    atomic {
      if
      :: p14_10 ? a53 ->
        act ! a53;
        state = 274;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 274;
      :: p14_10 ? a4 ->
        act ! a4;
        state = 274;
      fi
    }
  :: state == 275 ->
    atomic {
      if
      :: p14_10 ? a4 ->
        act ! a4;
        state = 273;
      fi
    }
  :: state == 273 ->
    atomic {
      if
      :: p14_10 ? a53 ->
        act ! a53;
        state = 274;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 280;
      fi
    }
  :: state == 280 ->
    atomic {
      if
      :: p14_10 ? a4 ->
        act ! a4;
        state = 274;
      :: p14_10 ? a53 ->
        act ! a53;
        state = 279;
      fi
    }
  :: state == 279 ->
    atomic {
      if
      :: p14_10 ? a4 ->
        act ! a4;
        state = 278;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 274;
      fi
    }
  :: state == 278 ->
    atomic {
      if
      :: p14_10 ? a53 ->
        act ! a53;
        state = 274;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 277;
      fi
    }
  :: state == 277 ->
    atomic {
      if
      :: p14_10 ? a53 ->
        act ! a53;
        state = 272;
      fi
    }
  :: state == 272 ->
    atomic {
      if
      :: p14_10 ? a53 ->
        act ! a53;
        state = 274;
      :: p14_10 ? a4 ->
        act ! a4;
        state = 271;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 274;
      fi
    }
  :: state == 271 ->
    atomic {
      if
      :: p14_10 ? a4 ->
        act ! a4;
        state = 274;
      :: p14_10 ? a18 ->
        act ! a18;
        state = 276;
      :: p14_10 ? a53 ->
        act ! a53;
        state = 274;
      fi
    }
  od
}

/* Process 11 */
active proctype Proc11()
{
  int state = 301;
  do
  :: state == 301 ->
    atomic {
      if
      :: p11 ? nop ->

        state = 283;
      fi
    }
  :: state == 283 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 287;
      :: p11_2 ! a29 ->

        state = 300;
      fi
    }
  :: state == 287 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 287;
      fi
    }
  :: state == 300 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 294;
      :: p11_2 ! a29 ->

        state = 287;
      fi
    }
  :: state == 294 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 299;
      fi
    }
  :: state == 299 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 296;
      fi
    }
  :: state == 296 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 298;
      :: p11_2 ! a44 ->

        state = 287;
      fi
    }
  :: state == 298 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 285;
      fi
    }
  :: state == 285 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 284;
      fi
    }
  :: state == 284 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 287;
      :: p11_2 ! a44 ->

        state = 282;
      fi
    }
  :: state == 282 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 289;
      :: p11_2 ! a44 ->

        state = 287;
      fi
    }
  :: state == 289 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 288;
      fi
    }
  :: state == 288 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 287;
      :: p11_2 ! a29 ->

        state = 297;
      fi
    }
  :: state == 297 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 286;
      :: p11_2 ! a29 ->

        state = 287;
      fi
    }
  :: state == 286 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 293;
      :: p11_2 ! a44 ->

        state = 287;
      fi
    }
  :: state == 293 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 292;
      fi
    }
  :: state == 292 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 291;
      :: p11_2 ! a44 ->

        state = 287;
      fi
    }
  :: state == 291 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 290;
      :: p11_2 ! a29 ->

        state = 287;
      fi
    }
  :: state == 290 ->
    atomic {
      if
      :: p11_2 ! a29 ->

        state = 295;
      fi
    }
  :: state == 295 ->
    atomic {
      if
      :: p11_2 ! a44 ->

        state = 283;
      :: p11_2 ! a29 ->

        state = 287;
      fi
    }
  od
}

/* Process 12 */
active proctype Proc12()
{
  int state = 304;
  do
  :: state == 304 ->
    atomic {
      if
      :: p12 ? nop ->

        state = 303;
      fi
    }
  :: state == 303 ->
    atomic {
      if
      :: p12_4 ! a3 ->

        state = 302;
      fi
    }
  :: state == 302 ->
    atomic {
      if
      :: p12_4 ! a14 ->

        state = 303;
      fi
    }
  od
}

/* Process 13 */
active proctype Proc13()
{
  int state = 311;
  do
  :: state == 311 ->
    atomic {
      if
      :: p13 ? nop ->

        state = 308;
      fi
    }
  :: state == 308 ->
    atomic {
      if
      :: p13_7 ! a50 ->

        state = 307;
      :: p13_7 ! a49 ->

        state = 306;
      fi
    }
  :: state == 307 ->
    atomic {
      if
      :: p13_7 ! a49 ->

        state = 305;
      fi
    }
  :: state == 305 ->
    atomic {
      if
      :: p13_7 ! a50 ->

        state = 310;
      :: p13_7 ! a49 ->

        state = 306;
      fi
    }
  :: state == 310 ->
    atomic {
      if
      :: p13_7 ! a49 ->

        state = 309;
      :: p13_7 ! a50 ->

        state = 306;
      fi
    }
  :: state == 309 ->
    atomic {
      if
      :: p13_7 ! a50 ->

        state = 310;
      fi
    }
  od
}

/* Process 14 */
active proctype Proc14()
{
  int state = 342;
  do
  :: state == 342 ->
    atomic {
      if
      :: p14 ? nop ->

        state = 321;
      fi
    }
  :: state == 321 ->
    atomic {
      if
      :: p14_2 ! a77 ->

        state = 317;
      :: p14_2 ! a23 ->

        state = 323;
      :: p14_2 ! a68 ->

        state = 323;
      fi
    }
  :: state == 317 ->
    atomic {
      if
      :: p17_14 ? a52 ->
        act ! a52;
        state = 316;
      fi
    }
  :: state == 323 ->
    atomic {
      if
      :: p17_14 ? a52 ->
        act ! a52;
        state = 339;
      fi
    }
  :: state == 316 ->
    atomic {
      if
      :: p14_10 ! a53 ->

        state = 322;
      fi
    }
  :: state == 339 ->
    atomic {
      if
      :: p14_10 ! a53 ->

        state = 329;
      fi
    }
  :: state == 322 ->
    atomic {
      if
      :: p17_14 ? a58 ->
        act ! a58;
        state = 332;
      fi
    }
  :: state == 329 ->
    atomic {
      if
      :: p17_14 ? a58 ->
        act ! a58;
        state = 313;
      fi
    }
  :: state == 332 ->
    atomic {
      if
      :: p14 ? a59 ->
        act ! a59;
        state = 337;
      fi
    }
  :: state == 313 ->
    atomic {
      if
      :: p14 ? a59 ->
        act ! a59;
        state = 326;
      fi
    }
  :: state == 337 ->
    atomic {
      if
      :: p14_10 ! a4 ->

        state = 331;
      fi
    }
  :: state == 326 ->
    atomic {
      if
      :: p14_10 ! a4 ->

        state = 333;
      fi
    }
  :: state == 331 ->
    atomic {
      if
      :: p14_10 ! a18 ->

        state = 335;
      fi
    }
  :: state == 333 ->
    atomic {
      if
      :: p14_10 ! a18 ->

        state = 336;
      fi
    }
  :: state == 335 ->
    atomic {
      if
      :: p14_2 ! a68 ->

        state = 340;
      :: p14_2 ! a23 ->

        state = 323;
      :: p14_2 ! a77 ->

        state = 323;
      fi
    }
  :: state == 336 ->
    atomic {
      if
      :: p14_2 ! a23 ->

        state = 323;
      :: p14_2 ! a68 ->

        state = 323;
      :: p14_2 ! a77 ->

        state = 323;
      fi
    }
  :: state == 340 ->
    atomic {
      if
      :: p17_14 ? a52 ->
        act ! a52;
        state = 334;
      fi
    }
  :: state == 334 ->
    atomic {
      if
      :: p14_10 ! a53 ->

        state = 314;
      fi
    }
  :: state == 314 ->
    atomic {
      if
      :: p17_14 ? a58 ->
        act ! a58;
        state = 312;
      fi
    }
  :: state == 312 ->
    atomic {
      if
      :: p14 ? a59 ->
        act ! a59;
        state = 338;
      :: p17_14 ? a58 ->
        act ! a58;
        state = 318;
      fi
    }
  :: state == 338 ->
    atomic {
      if
      :: p14_10 ! a4 ->

        state = 328;
      fi
    }
  :: state == 318 ->
    atomic {
      if
      :: p17_14 ? a58 ->
        act ! a58;
        state = 318;
      :: p14_10 ! a4 ->

        state = 318;
      :: p14_2 ! a23 ->

        state = 318;
      :: p14_10 ! a18 ->

        state = 318;
      :: p14_2 ! a68 ->

        state = 318;
      :: p17_14 ? a52 ->
        act ! a52;
        state = 318;
      :: p14_10 ! a53 ->

        state = 318;
      fi
    }
  :: state == 328 ->
    atomic {
      if
      :: p14_10 ! a18 ->

        state = 319;
      fi
    }
  :: state == 319 ->
    atomic {
      if
      :: p14_2 ! a23 ->

        state = 320;
      fi
    }
  :: state == 320 ->
    atomic {
      if
      :: p17_14 ? a52 ->
        act ! a52;
        state = 315;
      :: p14_10 ! a18 ->

        state = 341;
      fi
    }
  :: state == 315 ->
    atomic {
      if
      :: p14_10 ! a53 ->

        state = 325;
      fi
    }
  :: state == 341 ->
    atomic {
      if
      :: p14 ? a59 ->
        act ! a59;
        state = 341;
      :: p14_2 ! a77 ->

        state = 341;
      :: p14_2 ! a23 ->

        state = 341;
      fi
    }
  :: state == 325 ->
    atomic {
      if
      :: p17_14 ? a58 ->
        act ! a58;
        state = 324;
      fi
    }
  :: state == 324 ->
    atomic {
      if
      :: p14 ? a59 ->
        act ! a59;
        state = 330;
      fi
    }
  :: state == 330 ->
    atomic {
      if
      :: p14_10 ! a4 ->

        state = 327;
      fi
    }
  :: state == 327 ->
    atomic {
      if
      :: p14_10 ! a18 ->

        state = 321;
      fi
    }
  od
}

/* Process 15 */
active proctype Proc15()
{
  int state = 371;
  do
  :: state == 371 ->
    atomic {
      if
      :: p15 ? nop ->

        state = 348;
      fi
    }
  :: state == 348 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 346;
      :: p15_2 ! a69 ->

        state = 347;
      fi
    }
  :: state == 346 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 346;
      fi
    }
  :: state == 347 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 346;
      :: p15_2 ! a28 ->

        state = 345;
      fi
    }
  :: state == 345 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 352;
      fi
    }
  :: state == 352 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 346;
      :: p15_2 ! a69 ->

        state = 351;
      fi
    }
  :: state == 351 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 350;
      fi
    }
  :: state == 350 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 349;
      :: p15_2 ! a28 ->

        state = 346;
      fi
    }
  :: state == 349 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 344;
      :: p15_2 ! a27 ->

        state = 346;
      fi
    }
  :: state == 344 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 346;
      :: p15_2 ! a28 ->

        state = 343;
      fi
    }
  :: state == 343 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 358;
      fi
    }
  :: state == 358 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 346;
      :: p15_2 ! a69 ->

        state = 357;
      fi
    }
  :: state == 357 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 356;
      :: p15_2 ! a69 ->

        state = 346;
      fi
    }
  :: state == 356 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 355;
      fi
    }
  :: state == 355 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 362;
      fi
    }
  :: state == 362 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 361;
      fi
    }
  :: state == 361 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 360;
      :: p15_2 ! a28 ->

        state = 346;
      fi
    }
  :: state == 360 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 346;
      :: p15_2 ! a69 ->

        state = 359;
      fi
    }
  :: state == 359 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 354;
      :: p15_2 ! a69 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 346;
      fi
    }
  :: state == 354 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 353;
      fi
    }
  :: state == 353 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 365;
      fi
    }
  :: state == 365 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 366;
      :: p15_2 ! a27 ->

        state = 346;
      fi
    }
  :: state == 366 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 363;
      fi
    }
  :: state == 363 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 364;
      fi
    }
  :: state == 364 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 369;
      :: p15_2 ! a69 ->

        state = 346;
      fi
    }
  :: state == 369 ->
    atomic {
      if
      :: p15_2 ! a69 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 370;
      :: p15_2 ! a28 ->

        state = 346;
      fi
    }
  :: state == 370 ->
    atomic {
      if
      :: p15_2 ! a27 ->

        state = 346;
      :: p15_2 ! a69 ->

        state = 367;
      fi
    }
  :: state == 367 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 368;
      :: p15_2 ! a69 ->

        state = 346;
      fi
    }
  :: state == 368 ->
    atomic {
      if
      :: p15_2 ! a28 ->

        state = 346;
      :: p15_2 ! a27 ->

        state = 348;
      :: p15_2 ! a69 ->

        state = 346;
      fi
    }
  od
}

/* Process 16 */
active proctype Proc16()
{
  int state = 375;
  do
  :: state == 375 ->
    atomic {
      if
      :: p16 ? nop ->

        state = 374;
      fi
    }
  :: state == 374 ->
    atomic {
      if
      :: p16_7 ! a46 ->

        state = 373;
      fi
    }
  :: state == 373 ->
    atomic {
      if
      :: p16_7 ! a48 ->

        state = 374;
      :: p16_7 ! a46 ->

        state = 372;
      fi
    }
  :: state == 372 ->
    atomic {
      if
      :: p16_7 ! a46 ->

        state = 372;
      fi
    }
  od
}

/* Process 17 */
active proctype Proc17()
{
  int state = 383;
  do
  :: state == 383 ->
    atomic {
      if
      :: p17 ? nop ->

        state = 379;
      fi
    }
  :: state == 379 ->
    atomic {
      if
      :: p17_14 ! a52 ->

        state = 378;
      fi
    }
  :: state == 378 ->
    atomic {
      if
      :: p17_14 ! a52 ->

        state = 377;
      :: p17_14 ! a58 ->

        state = 376;
      fi
    }
  :: state == 377 ->
    atomic {
      if
      :: p17_14 ! a52 ->

        state = 377;
      fi
    }
  :: state == 376 ->
    atomic {
      if
      :: p17_14 ! a52 ->

        state = 382;
      fi
    }
  :: state == 382 ->
    atomic {
      if
      :: p17_14 ! a58 ->

        state = 381;
      fi
    }
  :: state == 381 ->
    atomic {
      if
      :: p17_14 ! a52 ->

        state = 380;
      fi
    }
  :: state == 380 ->
    atomic {
      if
      :: p17_14 ! a58 ->

        state = 379;
      :: p17_14 ! a52 ->

        state = 377;
      fi
    }
  od
}

/* Process 18 */
active proctype Proc18()
{
  int state = 389;
  do
  :: state == 389 ->
    atomic {
      if
      :: p18 ? nop ->

        state = 387;
      fi
    }
  :: state == 387 ->
    atomic {
      if
      :: p18_5 ! a26 ->

        state = 386;
      fi
    }
  :: state == 386 ->
    atomic {
      if
      :: p18_5 ! a30 ->

        state = 384;
      fi
    }
  :: state == 384 ->
    atomic {
      if
      :: p18_5 ! a30 ->

        state = 385;
      :: p18_5 ! a19 ->

        state = 388;
      :: p18_5 ! a26 ->

        state = 385;
      fi
    }
  :: state == 385 ->
    atomic {
      if
      :: p18_5 ! a30 ->

        state = 385;
      fi
    }
  :: state == 388 ->
    atomic {
      if
      :: p18_5 ! a26 ->

        state = 386;
      :: p18_5 ! a19 ->

        state = 385;
      fi
    }
  od
}

/* Process 19 */
active proctype Proc19()
{
  int state = 393;
  do
  :: state == 393 ->
    atomic {
      if
      :: p19 ? nop ->

        state = 392;
      fi
    }
  :: state == 392 ->
    atomic {
      if
      :: p19_3 ! a10 ->

        state = 392;
      :: p19_3 ! a32 ->

        state = 391;
      fi
    }
  :: state == 391 ->
    atomic {
      if
      :: p19_3 ! a31 ->

        state = 392;
      :: p19_3 ! a32 ->

        state = 390;
      fi
    }
  :: state == 390 ->
    atomic {
      if
      :: p19_3 ! a32 ->

        state = 390;
      :: p19_3 ! a10 ->

        state = 390;
      fi
    }
  od
}

#define p_a52	 (lastAction == a52)
#define p_a18	 (lastAction == a18)
#define p_a53	 (lastAction == a53)
#define p_a4	 (lastAction == a4)
#define p_a71	 (lastAction == a71)
#define p_a42	 (lastAction == a42)
#define p_a50	 (lastAction == a50)
#define p_a47	 (lastAction == a47)
#define p_a51	 (lastAction == a51)
#define p_a45	 (lastAction == a45)
#define p_a54	 (lastAction == a54)
#define p_a55	 (lastAction == a55)
#define p_a25	 (lastAction == a25)
#define p_a30	 (lastAction == a30)
#define p_a26	 (lastAction == a26)
#define p_a62	 (lastAction == a62)
#define p_a15	 (lastAction == a15)
#define p_a9	 (lastAction == a9)
#define p_a12	 (lastAction == a12)
#define p_a19	 (lastAction == a19)
#define p_a58	 (lastAction == a58)
#define p_a38	 (lastAction == a38)
#define p_a21	 (lastAction == a21)
#define p_a35	 (lastAction == a35)
#define p_a7	 (lastAction == a7)
#define p_a48	 (lastAction == a48)
#define p_a57	 (lastAction == a57)
#define p_a32	 (lastAction == a32)
#define p_a20	 (lastAction == a20)
#define p_a75	 (lastAction == a75)
#define p_a33	 (lastAction == a33)
#define p_a1	 (lastAction == a1)
#define p_a17	 (lastAction == a17)
#define p_a49	 (lastAction == a49)
#define p_a56	 (lastAction == a56)
#define p_a10	 (lastAction == a10)
#define p_a2	 (lastAction == a2)
#define p_a66	 (lastAction == a66)
#define p_a8	 (lastAction == a8)
#define p_a63	 (lastAction == a63)
#define p_a11	 (lastAction == a11)
#define p_a61	 (lastAction == a61)
#define p_a22	 (lastAction == a22)
#define p_a31	 (lastAction == a31)
#define p_a14	 (lastAction == a14)
#define p_a36	 (lastAction == a36)
#define p_a60	 (lastAction == a60)
#define p_a24	 (lastAction == a24)
#define p_a59	 (lastAction == a59)
#define p_a67	 (lastAction == a67)
#define p_a5	 (lastAction == a5)
#define p_a46	 (lastAction == a46)
#define p_a28	 (lastAction == a28)
#define p_a69	 (lastAction == a69)
#define p_a68	 (lastAction == a68)
#define p_a3	 (lastAction == a3)
#define p_a29	 (lastAction == a29)
#define p_a70	 (lastAction == a70)
#define p_a44	 (lastAction == a44)
#define p_a77	 (lastAction == a77)
#define p_a74	 (lastAction == a74)
#define p_a40	 (lastAction == a40)
#define p_a72	 (lastAction == a72)
#define p_a16	 (lastAction == a16)
#define p_a27	 (lastAction == a27)
#define p_a34	 (lastAction == a34)
#define p_a39	 (lastAction == a39)
#define p_a41	 (lastAction == a41)
#define p_a64	 (lastAction == a64)
#define p_a76	 (lastAction == a76)
#define p_a6	 (lastAction == a6)
#define p_a65	 (lastAction == a65)
#define p_a73	 (lastAction == a73)
#define p_a23	 (lastAction == a23)
#define p_a37	 (lastAction == a37)
#define p_a13	 (lastAction == a13)
#define p_a43	 (lastAction == a43)


ltl p1	{ (p_a1 || p_a8) V (p_a1 || p_a8 || !p_a21 || (!p_a32 U p_a22)) }
ltl p2	{ (p_a7 || p_a56) V (p_a7 || !p_a9 || p_a56) }
ltl p3	{ p_a12 V (p_a12 || !p_a37 || (!p_a7 U p_a75)) }
ltl p4	{ (p_a32 || p_a33) V (!p_a6 || p_a32 || p_a33) }
ltl p5	{ (p_a12 || p_a24) V (p_a12 || p_a24 || !p_a75 || []!p_a36) }
ltl p6	{ [](!p_a1 || (!p_a61 U p_a22)) }
ltl p7	{ p_a11 V (p_a11 || !p_a32 || []!p_a9) }
ltl p8	{ (p_a22 || p_a33) V (!p_a21 || p_a22 || p_a33) }
ltl p9	{ [](!p_a5 || (!p_a64 U p_a6)) }
ltl p10	{ p_a1 V (p_a1 || !p_a22 || (!p_a75 U p_a20)) }
ltl p11	{ (p_a10 || p_a61) V (!p_a8 || p_a10 || p_a61 || (p_a6 V (p_a6 || !p_a36))) }
ltl p12	{ p_a6 V (p_a6 || !p_a39 || []!p_a1) }
ltl p13	{ <>(p_a31 V (p_a31 || !p_a64)) }
ltl p14	{ (p_a33 || p_a57) V (!p_a5 || p_a33 || p_a57 || (!p_a9 U p_a61)) }
ltl p15	{ p_a24 V (!p_a1 || p_a24 || (!p_a5 U p_a60)) }
ltl p16	{ (p_a34 || p_a60) V (p_a34 || !p_a57 || p_a60 || <>p_a8) }
ltl p17	{ [](!p_a10 || (!p_a67 U p_a11)) }
ltl p18	{ p_a5 V (p_a5 || !p_a10 || <>p_a9) }
ltl p19	{ (p_a35 || p_a64) V (p_a35 || !p_a39 || p_a64 || <>p_a67) }
ltl p20	{ p_a37 V (!p_a22 || p_a37 || <>p_a12) }
